summaryrefslogtreecommitdiffstats
path: root/lib/cmd/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/cmd/install.sh')
-rw-r--r--lib/cmd/install.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 1322209..a296891 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -59,6 +59,10 @@ cmd_install_main()
if [ "x${cmd_install_opt_P+set}" = 'xset' ]; then
plat="${cmd_install_opt_P}"
fi
+ if ! profile_validate_archplat "${arch}" "${plat}"; then
+ error 2 "$(get_msg 'cmd_install_bad_archplat')" \
+ "${arch}" "${plat}"
+ fi
if ! mkdir "${chroot}" || ! mkdir "${chroot}/.prokit"; then
: Error